/*
  routine do a PL/I-style string assignment to a PL/I string from a C string,
  where the PL/I string is referenced through a descriptor, and C strings
  are null-terminated.
  returns true if string didn't fit (doesn't raise STRINGSIZE condition).
*/
#include <clang.c>;
#include <plistring.c>;

boolean pliset(sdp,cstr)
plistring sdp; cstring cstr;
{
  return( plicpy(sdp, cstr, strlen(cstr)) );
}
